Skip to main content
Contract / Payouts

Get a contract payout status by contract payout status id

This method requires the ContractPayoutStatuses:Get permission to be associated with your role.

GET
/fm/contract/payout/statuses/{contract_payout_status_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_payout_status_idstringrequired
Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

contract_payout_status_idstring
Example: 3196203174180423000
descriptionstring
Example: accepted
status_flagenum<string>

Status of the new contract payout status

Available options: active, inactive
Example: active